import React, { ComponentProps } from 'react';
import { SIZE } from '../../utils/componentPropsTypes';
export declare enum VARIANT {
    checkbox = "checkbox",
    radio = "radio"
}
interface ICheckbox {
    variant?: VARIANT;
    label?: string;
    defaultChecked?: boolean;
    disabled?: boolean;
    size?: SIZE;
    checked?: boolean;
    onClick?: React.MouseEventHandler<HTMLLabelElement>;
    onChange?: React.ChangeEventHandler<HTMLInputElement>;
}
declare function Checkbox(props: ICheckbox & Omit<ComponentProps<'input'>, keyof ICheckbox>): JSX.Element;
export default Checkbox;
